<x-default-layout>

    @section('title')
        Users
    @endsection

    {{-- @section('breadcrumbs')
        {{ Breadcrumbs::render('user-management.users.index') }}
    @endsection --}}

    <div class="card">
        <!--begin::Card header-->
        <div class="card-header border-0 pt-6">
            <!--begin::Card title-->
            <div class="card-title">
                <!--begin::Search-->
                <div class="d-flex align-items-center position-relative my-1">
                    {!! getIcon('magnifier', 'fs-3 position-absolute ms-5') !!}
                    <input type="text" data-kt-user-table-filter="search" class="form-control form-control-solid w-250px ps-13" placeholder="Search user" id="mySearchInput"/>
                </div>
                <!--end::Search-->
            </div>
            <!--begin::Card title-->

            <!--begin::Card toolbar-->
            <div class="card-toolbar">
                <!--begin::Toolbar-->
                <div class="d-flex justify-content-end" data-kt-user-table-toolbar="base">
                    <!--begin::Add user-->
                    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#kt_modal_add_transfer">
                        {!! getIcon('plus', 'fs-2', '', 'i') !!}
                        Add Transfer
                    </button>
                    <!--end::Add user-->
                </div>
                <!--end::Toolbar-->

                <!--begin::Modal-->
                {{-- <livewire:user.add-user-modal></livewire:user.add-user-modal> --}}
                <!--end::Modal-->
            </div>
            <!--end::Card toolbar-->
        </div>
        <!--end::Card header-->

        <!--begin::Card body-->
        <div class="card-body py-4">
            <!--begin::Table-->
            <div class="table-responsive">
                <table id="kt_datatable_zero_configuration" class="table table-row-bordered gy-5">
                    <thead>
                        <tr class="fw-semibold fs-6 text-muted">
                            <th>PayOut Date</th>
                            <th>Account</th>
                            <th>Benificiary</th>
                            <th>Salary</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>03/01/2024</td>
                            <td>00538400023801292092 (Your default Account)</td>
                            <td>SARL AYRADE</td>
                            <td>320,800 DA</td>
                        </tr>
                        <tr>
                            <td>03/01/2024</td>
                            <td>00538400023801292092 (Your default Account)</td>
                            <td>AYOUB AZOUZ MENZOU</td>
                            <td>32,800 DA</td>
                        </tr>
                        <tr>
                            <td>03/01/2024</td>
                            <td>00538400023801292092 (Your default Account)</td>
                            <td>ALGERIE TELECOM</td>
                            <td>3,800 DA</td>
                        </tr>
                    </tbody>
                    {{-- <tfoot>
                        <tr>
                            <th>Name</th>
                            <th>Position</th>
                            <th>Office</th>
                            <th>Age</th>
                            <th>Start date</th>
                            <th>Salary</th>
                        </tr>
                    </tfoot> --}}
                </table>
            </div>
            <!--end::Table-->
        </div>
        <!--end::Card body-->
    </div>

    <div class="modal fade" tabindex="-1" id="kt_modal_add_transfer">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Add Transfer Payout</h3>

                    <!--begin::Close-->
                    <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                        <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                    </div>
                    <!--end::Close-->
                </div>

                <div class="modal-body">


                    <!--begin::Form-->
                    <form class="form" action="#" method="post">
                        <div class="fv-row">
                            <div class="col-md-12">
                                <label for="exampleFormControlInput1" class="required form-label">The Debit account</label>
                                <select class="form-select" aria-label="Select example">
                                    <option>Select one of your debit account</option>
                                    <option value="1">00538400023801292092 (Your default Account)</option>
                                    <option value="2">00538400023841292092</option>
                                </select>
                            </div>
                        </div>

                        <div class="fv-row">
                            <div class="col-md-12">
                                <label for="exampleFormControlInput1" class="required form-label">The credit acccount</label>
                                <select class="form-select" aria-label="Select example">
                                    <option>Select one of the beneficiary list's</option>
                                    <option value="1">Mohamed HAMADOUCHE (00538400023841292092)</option>
                                    <option value="2">Ayoub MENZOU (00538400023841292092)</option>
                                </select>
                            </div>
                        </div>

                        <div class="fv-row mt-10">
                            <div class="col-md-12">
                                <label for="exampleFormControlInput1" class="required form-label">The Amount</label>
                                <input type="text" class="form-control" placeholder="amount"/>
                            </div>
                        </div>
                        <div class="fv-row">
                            <div class="col-md-12">
                                <label for="exampleFormControlInput1" class="required form-label">The Amount Confirmation</label>
                                <input type="text" class="form-control" placeholder="confirmation amount"/>
                            </div>
                        </div>
                        <div class="fv-row">
                            <div class="col-md-12">
                                <label for="exampleFormControlInput1" class="required form-label">Object of the PayOut</label>
                                <input type="text" class="form-control" placeholder="object"/>
                            </div>
                        </div>
                    </form>
                    <!--end::Form-->


                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Save changes</button>
                </div>
            </div>
        </div>
    </div>

    @push('scripts')
        {{-- {{ $dataTable->scripts() }} --}}
        <script>
            $("#kt_datatable_zero_configuration").DataTable();
            // document.getElementById('mySearchInput').addEventListener('keyup', function () {
            //     window.LaravelDataTables['users-table'].search(this.value).draw();
            // });
            // document.addEventListener('livewire:init', function () {
            //     Livewire.on('success', function () {
            //         $('#kt_modal_add_user').modal('hide');
            //         window.LaravelDataTables['users-table'].ajax.reload();
            //     });
            // });


            // var myDropzone = new Dropzone("#kt_dropzonejs_example_1", {
            //     url: "https://keenthemes.com/scripts/void.php", // Set the url for your upload script location
            //     paramName: "file", // The name that will be used to transfer the file
            //     maxFiles: 10,
            //     maxFilesize: 10, // MB
            //     addRemoveLinks: true,
            //     accept: function(file, done) {
            //         if (file.name == "wow.jpg") {
            //             done("Naha, you don't.");
            //         } else {
            //             done();
            //         }
            //     }
            // });


        </script>
    @endpush

</x-default-layout>
